[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / ProofStatus

# Enumeration: ProofStatus

Status of the ownership proof verification process

## Remarks

Represents the different states that an ownership proof can be in during and after verification:
- PENDING: Initial state where verification is in progress or awaiting processing
- FAILED: The proof was rejected due to failing verification checks
- FLAGGED: The proof requires manual review due to suspicious or unclear verification results
- VERIFIED: The proof has passed all verification checks successfully

## Enumeration Members

### FAILED

> **FAILED**: `"rejected"`

#### Defined in

[types.ts:1011](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/80aada173fac6a9b5f05869abafa3c1c6cc56aa9/src/types.ts#L1011)

***

### FLAGGED

> **FLAGGED**: `"flagged"`

#### Defined in

[types.ts:1012](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/80aada173fac6a9b5f05869abafa3c1c6cc56aa9/src/types.ts#L1012)

***

### PENDING

> **PENDING**: `"pending"`

#### Defined in

[types.ts:1010](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/80aada173fac6a9b5f05869abafa3c1c6cc56aa9/src/types.ts#L1010)

***

### VERIFIED

> **VERIFIED**: `"verified"`

#### Defined in

[types.ts:1013](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/80aada173fac6a9b5f05869abafa3c1c6cc56aa9/src/types.ts#L1013)
